package com.jan.entity;

import com.badlogic.gdx.maps.MapObject;
import com.jan.Collision.Colider;
import com.jan.Collision.ColiderInterface;

public class Trigger extends GameObject implements ColiderInterface{

    private Colider colider;
    public Trigger(MapObject mapObject) {
        super(mapObject);
        String bodyType = (String)loadProperty(Colider.BODY_PROPERTY);
        String coliderType = (String)loadProperty(Colider.BODY_COLLIDER);
        boolean isSolid = (boolean)loadProperty("Solid");
        colider = new Colider(this, bodyType, coliderType, isSolid);
    }

    public Colider getColider(){
        return colider;
    }
    
}
